# Source

### List of Fields

Please note that fields not documented here may be out of date or deprecated.&#x20;

| **Field**     | **Type** | **Note**                                                                                             |
| ------------- | -------- | ---------------------------------------------------------------------------------------------------- |
| `siteUrl`     | String   | URL of the source                                                                                    |
| `displayName` | String   | Name of the source                                                                                   |
| `recipeUrl`   | String   | <p>URL of the recipe at the source. </p><p>Use this URL as a reference for cooking instructions.</p> |

### Example

Obtaining a recipe's source information.

{% tabs %}
{% tab title="Query" %}

```graphql
{
  recipe(id: "UmVjaXBlOjFkMWIzYzU4LTk3Y2MtNDJlMi05NGEyLTA0OTdjMjVjNjhjYQ==") {
    name
    source {
      siteUrl
      displayName
      recipeUrl
    }

  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "recipe": {
      "name": "Three Bean Salad With Corn & Peppers",
      "source": {
        "siteUrl": "triedandtasty.com",
        "displayName": "Tried and Tasty",
        "recipeUrl": "http://triedandtasty.com/three-bean-salad-with-corn-and-peppers-2/"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/recipe/source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
